Description

| couldn't find a way to query from redMine the projects It has.

This could be nice to have for automatic generation of, let's say, repositories and /etc/alias aliases for RedmineReceivingEmails.

Something like

wget http://host/api/get/projects/* => a csv structured file, or a json or an xml

Thank you in advance.

History

#1 - 2009-09-25 16:34 - Alexey Palazhchenko
Stas SUSHKOV wrote:

| couldn't find a way to query from redMine the projects It has.

This could be nice to have for automatic generation of, let's say, repositories and /etc/alias aliases for RedmineReceivingEmails.

Something like

wget http://host/api/get/projects/* => a csv structured file, or a json or an xml

Thank you in advance.

First, you should patch old parts of Redmine like this: http:/github.com/AlekSi/redmine/commit/cdb01b06d6978f918d29c5b72d9e144319bc8316

Don't forget to make your patches available to others. ;)

Second, do
wget http://host/projects.xml
#2 - 2009-09-27 16:34 - Stas SUSHKOV

Thank you Aleksey.
Look what | did.

Because to parse xml files is a pain in bash, | set the output to be yaml.

Here's the patch | obtained:
http://gist.github.com/194800

After this | created my bash script which is like this one:
http://gist.github.com/194798

And also created a Makefile:
http://gist.github.com/194799

The line in crontab should look like this:

1. RedMine aliases
17* *** root (cd/etc/postfix && make -ks )

This solved the problem.
Thanks a lot, you inspired me!

#3 - 2009-09-27 16:43 - Stas SUSHKOV

- Status changed from New to Resolved

2025-07-06

1/2



https://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails
https://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails
http://github.com/AlekSi/redmine/commit/cdb01b06d6978f918d29c5b72d9e144319bc8316
http://gist.github.com/194800
http://gist.github.com/194798
http://gist.github.com/194799

#4 - 2009-09-27 17:59 - Alexey Palazhchenko
Also see #296

#5 - 2012-12-10 10:59 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution set to Invalid
